Bug 859727 - [RFE] There is no way to distinguish between user and group in search
[RFE] There is no way to distinguish between user and group in search
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3.0
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
: FutureFeature
Depends On: 739854
Blocks: 1019470
  Show dependency treegraph
 
Reported: 2012-09-23 11:06 EDT by Doron Fediuck
Modified: 2016-02-10 14:24 EST (History)
11 users (show)

See Also:
Fixed In Version: is7
Doc Type: Enhancement
Doc Text:
This update introduces a search field that allows a user to search only for users (type = user) or groups (type = group).
Story Points: ---
Clone Of: 739854
Environment:
Last Closed: 2014-01-21 12:28:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 17:03:06 EST

  None (edit)
Description Doron Fediuck 2012-09-23 11:06:52 EDT
Cloning since we have this merged in upstream.

+++ This bug was initially created as a clone of Bug #739854 +++

Description of problem:

There is no way to distinguish between user and group in search

How reproducible:

Users: 

return both users and groups

Users: usrname = ""

return groups

--- Additional comment from mpastern@redhat.com on 2011-09-20 12:33:52 IDT ---

p.s its doesn't sounds right conceptual, as Users: search returns groups ...
for groups the search should look like (SearchType.DBGroup, "Groups:...")

--- Additional comment from iheim@redhat.com on 2011-09-20 13:54:41 IDT ---

(In reply to comment #1)
> p.s its doesn't sounds right conceptual, as Users: search returns groups ...
> for groups the search should look like (SearchType.DBGroup, "Groups:...")

this may be a bit more problematic, but type=users|groups as search parameter is probably easily achievable.

--- Additional comment from lhornyak@redhat.com on 2012-07-18 11:35:55 IDT ---

Ok, so the 'Users' search should only return users and the 'Groups:' search should only return groups? 
Should the 'groups' results still be displayed in the users tab or should there be a new tab for them?

--- Additional comment from yzaslavs@redhat.com on 2012-07-18 11:56:39 IDT ---

Einav - in reply to comment#3, can you please provide information about the UI tabs?

--- Additional comment from ecohen@redhat.com on 2012-07-18 17:40:58 IDT ---

(In reply to comment #4)
> Einav - in reply to comment#3, can you please provide information about the
> UI tabs?

depends on the search-syntax solution: We basically have a main tab for every searchable business entity. 
If we want to separate Users and Group to be conceptually different business entities, then each one of them should have a main tab of its own.
However, we need to consider more things, such as dialogs that contain users/groups search (e.g. "Add Permission" dialog) - should we have a separation there as well? What about the permissions sub-tab? should we have separate sub-tabs for users permissions and group permissions?

Personally, I don't perceive them as separate business entities: Although they are completely different from directory-services perspective, they are almost the same from oVirt's perspective. 

Therefore, I tend to think that having type=users|groups as search parameter (as Itamar has suggested in Comment #2) is better than having two separate business entities (Users and Groups). In this case, there is no affect at all on the GUI - we remain with Users main tab only, no need to re-think about users-search within dialogs, users-related business entities GUI representation (e.g. permissions), etc.

--- Additional comment from lhornyak@redhat.com on 2012-07-18 19:16:20 IDT ---

http://gerrit.ovirt.org/6417
Comment 5 Charlie 2013-11-27 19:10:02 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 7 errata-xmlrpc 2014-01-21 12:28:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.